iterator File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx

## Macros

#define | _EXT_ITERATOR

## Functions

template<typename _InputIterator, typename _Distance>
void | __gnu_cxx::__distance (_InputIterator __first, _InputIterator __last, _Distance &__n, std::input_iterator_tag)
template<typename _RandomAccessIterator, typename _Distance>
void | __gnu_cxx::__distance (_RandomAccessIterator __first, _RandomAccessIterator __last, _Distance &__n, std::random_access_iterator_tag)
template<typename _InputIterator, typename _Distance>
void | __gnu_cxx::distance (_InputIterator __first, _InputIterator __last, _Distance &__n)

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

Definition in file ext/iterator.

## Macro Definition Documentation

## _EXT_ITERATOR

#define _EXT_ITERATOR

Definition at line 57 of file ext/iterator.